2020-12-01 00:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006382Spring engineGeneralpublic2020-05-10 17:51
Reporteresainane 
Assigned Togajop 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006382: autoTargetRangeBoost ignored for Cannon weapons
DescriptionCannon weapons do not use autoTargetRangeBoost. The `boost` parameter appears to be unused here: https://github.com/spring/spring/blob/develop/rts/Sim/Weapons/Cannon.h#L37
Steps To ReproduceSpawn a unit using a cannon weapon type, and a suitable visible weapon piece

Spring.SetUnitWeaponState(unitID,weaponIdx,"autoTargetRangeBoost",lookahead)

Spawn a unit to a team not allied to the first team, and have it drive towards the first.

The first unit will not aim at the second unit, even when the second unit is within <lookahead> elmos of the first unit's range.
Additional InformationA simple fix might be to prepend `+ boost` before the semicolon on the linked line in the description. I'm not sure if there's something more appropriate for
the Cannon type.
Tagsaiming
Checked infolog.txt for ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020399

esainane (reporter)

Fixed in 2d729c4 (maint) and f9aadae (develop). This issue can be considered resolved now.
+Notes

-Issue History
Date Modified Username Field Change
2020-05-02 17:14 esainane New Issue
2020-05-02 17:14 esainane Tag Attached: aiming
2020-05-10 08:20 esainane Note Added: 0020399
2020-05-10 17:51 gajop Assigned To => gajop
2020-05-10 17:51 gajop Status new => resolved
2020-05-10 17:51 gajop Resolution open => fixed
+Issue History